Index: /orxonox/trunk/src/Makefile.am
===================================================================
--- /orxonox/trunk/src/Makefile.am	(revision 3457)
+++ /orxonox/trunk/src/Makefile.am	(revision 3458)
@@ -40,5 +40,5 @@
 		 light.cc \
 		 sfont/fontset.cc \
-		 sfont/glfont.c
+		 sfont/glfont.cc
 
 noinst_HEADERS = ability.h \
@@ -84,5 +84,6 @@
 		 skysphere.h \
 		 light.h \
-		 sfont/fontset.h
+		 sfont/fontset.h \
+		 sfont/glfont.h
 
 ## orxonox.conf will be used from home-dir instead.
Index: /orxonox/trunk/src/Makefile.in
===================================================================
--- /orxonox/trunk/src/Makefile.in	(revision 3457)
+++ /orxonox/trunk/src/Makefile.in	(revision 3458)
@@ -91,8 +91,4 @@
 @AMDEP_TRUE@	./$(DEPDIR)/track_manager.Po ./$(DEPDIR)/vector.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/world.Po ./$(DEPDIR)/world_entity.Po
-COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
-	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
-CCLD = $(CC)
-LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
 	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
@@ -255,5 +251,5 @@
 		 light.cc \
 		 sfont/fontset.cc \
-		 sfont/glfont.c
+		 sfont/glfont.cc
 
 noinst_HEADERS = ability.h \
@@ -299,5 +295,6 @@
 		 skysphere.h \
 		 light.h \
-		 sfont/fontset.h
+		 sfont/fontset.h \
+		 sfont/glfont.h
 
 EXTRA_DIST = orxonox.conf
@@ -317,5 +314,5 @@
 
 .SUFFIXES:
-.SUFFIXES: .c .cc .o .obj
+.SUFFIXES: .cc .o .obj
 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
 	@for dep in $?; do \
@@ -327,7 +324,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --foreign  src/Makefile
+	  $(AUTOMAKE) --gnu  src/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
@@ -415,36 +412,4 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/world_entity.Po@am__quote@
 
-.c.o:
-@am__fastdepCC_TRUE@	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
-@am__fastdepCC_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@	$(COMPILE) -c $<
-
-.c.obj:
-@am__fastdepCC_TRUE@	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
-@am__fastdepCC_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@	$(COMPILE) -c `$(CYGPATH_W) '$<'`
-
-glfont.o: sfont/glfont.c
-@am__fastdepCC_TRUE@	if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glfont.o -MD -MP -MF "$(DEPDIR)/glfont.Tpo" -c -o glfont.o `test -f 'sfont/glfont.c' || echo '$(srcdir)/'`sfont/glfont.c; \
-@am__fastdepCC_TRUE@	then mv -f "$(DEPDIR)/glfont.Tpo" "$(DEPDIR)/glfont.Po"; else rm -f "$(DEPDIR)/glfont.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='sfont/glfont.c' object='glfont.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@	depfile='$(DEPDIR)/glfont.Po' tmpdepfile='$(DEPDIR)/glfont.TPo' @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glfont.o `test -f 'sfont/glfont.c' || echo '$(srcdir)/'`sfont/glfont.c
-
-glfont.obj: sfont/glfont.c
-@am__fastdepCC_TRUE@	if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glfont.obj -MD -MP -MF "$(DEPDIR)/glfont.Tpo" -c -o glfont.obj `if test -f 'sfont/glfont.c'; then $(CYGPATH_W) 'sfont/glfont.c'; else $(CYGPATH_W) '$(srcdir)/sfont/glfont.c'; fi`; \
-@am__fastdepCC_TRUE@	then mv -f "$(DEPDIR)/glfont.Tpo" "$(DEPDIR)/glfont.Po"; else rm -f "$(DEPDIR)/glfont.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='sfont/glfont.c' object='glfont.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@	depfile='$(DEPDIR)/glfont.Po' tmpdepfile='$(DEPDIR)/glfont.TPo' @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glfont.obj `if test -f 'sfont/glfont.c'; then $(CYGPATH_W) 'sfont/glfont.c'; else $(CYGPATH_W) '$(srcdir)/sfont/glfont.c'; fi`
-
 .cc.o:
 @am__fastdepCXX_TRUE@	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
@@ -558,4 +523,20 @@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o fontset.obj `if test -f 'sfont/fontset.cc'; then $(CYGPATH_W) 'sfont/fontset.cc'; else $(CYGPATH_W) '$(srcdir)/sfont/fontset.cc'; fi`
+
+glfont.o: sfont/glfont.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT glfont.o -MD -MP -MF "$(DEPDIR)/glfont.Tpo" -c -o glfont.o `test -f 'sfont/glfont.cc' || echo '$(srcdir)/'`sfont/glfont.cc; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/glfont.Tpo" "$(DEPDIR)/glfont.Po"; else rm -f "$(DEPDIR)/glfont.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='sfont/glfont.cc' object='glfont.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/glfont.Po' tmpdepfile='$(DEPDIR)/glfont.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o glfont.o `test -f 'sfont/glfont.cc' || echo '$(srcdir)/'`sfont/glfont.cc
+
+glfont.obj: sfont/glfont.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT glfont.obj -MD -MP -MF "$(DEPDIR)/glfont.Tpo" -c -o glfont.obj `if test -f 'sfont/glfont.cc'; then $(CYGPATH_W) 'sfont/glfont.cc'; else $(CYGPATH_W) '$(srcdir)/sfont/glfont.cc'; fi`; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/glfont.Tpo" "$(DEPDIR)/glfont.Po"; else rm -f "$(DEPDIR)/glfont.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='sfont/glfont.cc' object='glfont.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/glfont.Po' tmpdepfile='$(DEPDIR)/glfont.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o glfont.obj `if test -f 'sfont/glfont.cc'; then $(CYGPATH_W) 'sfont/glfont.cc'; else $(CYGPATH_W) '$(srcdir)/sfont/glfont.cc'; fi`
 uninstall-info-am:
 
Index: /orxonox/trunk/src/console/Makefile.in
===================================================================
--- /orxonox/trunk/src/console/Makefile.in	(revision 3457)
+++ /orxonox/trunk/src/console/Makefile.in	(revision 3458)
@@ -203,7 +203,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/console/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/console/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --foreign  src/console/Makefile
+	  $(AUTOMAKE) --gnu  src/console/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /orxonox/trunk/src/gui/Makefile.in
===================================================================
--- /orxonox/trunk/src/gui/Makefile.in	(revision 3457)
+++ /orxonox/trunk/src/gui/Makefile.in	(revision 3458)
@@ -234,7 +234,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/gui/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/gui/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --foreign  src/gui/Makefile
+	  $(AUTOMAKE) --gnu  src/gui/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /orxonox/trunk/src/importer/Makefile.in
===================================================================
--- /orxonox/trunk/src/importer/Makefile.in	(revision 3457)
+++ /orxonox/trunk/src/importer/Makefile.in	(revision 3458)
@@ -215,7 +215,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/importer/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/importer/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --foreign  src/importer/Makefile
+	  $(AUTOMAKE) --gnu  src/importer/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /orxonox/trunk/src/sfont/fontset.h
===================================================================
--- /orxonox/trunk/src/sfont/fontset.h	(revision 3457)
+++ /orxonox/trunk/src/sfont/fontset.h	(revision 3458)
@@ -9,4 +9,7 @@
   loaded by orxonox Texture-class
 */
+
+#ifndef _FONTSET_H
+#define _FONTSET_H
 
 class Texture;
@@ -45,2 +48,5 @@
 
 };
+
+
+#endif /* _FONTSET_H */
Index: xonox/trunk/src/sfont/glfont.c
===================================================================
--- /orxonox/trunk/src/sfont/glfont.c	(revision 3457)
+++ 	(revision )
@@ -1,443 +1,0 @@
-/* 
-   orxonox - the future of 3D-vertical-scrollers
-
-   Copyright (C) 2004 orx
-
-   This program is free software; you can redistribute it and/or modify
-   it under the terms of the GNU General Public License as published by
-   the Free Software Foundation; either version 2, or (at your option)
-   any later version.
-
-   ### File Specific:
-   main-programmer: Benjamin Grauer
-   co-programmer: ...
-
-   ***
-   * This file is extended to the needs of the orxonox-project.         *
-   * the Copyright of the original file is below this copyright         *
-   *                                                                  ***
-
-*/
-
-/*
-    glfont:  An example of using the SDL_ttf library with OpenGL.
-    Copyright (C) 1997-2004 Sam Lantinga
-
-    This library is free software; you can redistribute it and/or
-    modify it under the terms of the GNU Library General Public
-    License as published by the Free Software Foundation; either
-    version 2 of the License, or (at your option) any later version.
-
-    This library is distributed in the hope that it will be useful,
-    but WITHOUT ANY WARRANTY; without even the implied warranty of
-    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
-    Library General Public License for more details.
-
-    You should have received a copy of the GNU Library General Public
-    License along with this library; if not, write to the Free
-    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-
-    The SDL_GL_* functions in this file are available in the public domain.
-
-    Sam Lantinga
-    slouken@libsdl.org
-*/
-
-/* $Id: glfont.c,v 1.6 2004/01/04 17:41:55 slouken Exp $ */
-
-/* A simple program to test the text rendering feature of the TTF library */
-
-#include <stdlib.h>
-#include <stdio.h>
-#include <string.h>
-
-#include <SDL/SDL.h>
-#include <SDL/SDL_ttf.h>
-
-#include "../glincl.h"
-
-#define DEFAULT_PTSIZE	18
-#define DEFAULT_TEXT	"orxonox 1234567890"
-#define NUM_COLORS      256
-
-static char *Usage =
-"Usage: %s [-utf8|-unicode] [-b] [-i] [-u] [-fgcol r,g,b] [-bgcol r,g,b] \
-<font>.ttf [ptsize] [text]\n";
-
-void SDL_GL_Enter2DMode()
-{
-	SDL_Surface *screen = SDL_GetVideoSurface();
-
-	/* Note, there may be other things you need to change,
-	   depending on how you have your OpenGL state set up.
-	*/
-	glPushAttrib(GL_ENABLE_BIT);
-	glDisable(GL_DEPTH_TEST);
-	glDisable(GL_CULL_FACE);
-	glEnable(GL_TEXTURE_2D);
-
-	/* This allows alpha blending of 2D textures with the scene */
-	glEnable(GL_BLEND);
-	glBlendFunc(GL_SRC_ALPHA, GL_ONE_MINUS_SRC_ALPHA);
-
-	glViewport(0, 0, screen->w, screen->h);
-
-	glMatrixMode(GL_PROJECTION);
-	glPushMatrix();
-	glLoadIdentity();
-
-	glOrtho(0.0, (GLdouble)screen->w, (GLdouble)screen->h, 0.0, 0.0, 1.0);
-
-	glMatrixMode(GL_MODELVIEW);
-	glPushMatrix();
-	glLoadIdentity();
-
-	glTexEnvf(GL_TEXTURE_ENV, GL_TEXTURE_ENV_MODE, GL_MODULATE);
-}
-
-void SDL_GL_Leave2DMode()
-{
-	glMatrixMode(GL_MODELVIEW);
-	glPopMatrix();
-
-	glMatrixMode(GL_PROJECTION);
-	glPopMatrix();
-
-	glPopAttrib();
-}
-
-/* Quick utility function for texture creation */
-static int power_of_two(int input)
-{
-	int value = 1;
-
-	while ( value < input ) {
-		value <<= 1;
-	}
-	return value;
-}
-
-GLuint SDL_GL_LoadTexture(SDL_Surface *surface, GLfloat *texcoord)
-{
-	GLuint texture;
-	int w, h;
-	SDL_Surface *image;
-	SDL_Rect area;
-	Uint32 saved_flags;
-	Uint8  saved_alpha;
-
-	/* Use the surface width and height expanded to powers of 2 */
-	w = power_of_two(surface->w);
-	h = power_of_two(surface->h);
-	texcoord[0] = 0.0f;			/* Min X */
-	texcoord[1] = 0.0f;			/* Min Y */
-	texcoord[2] = (GLfloat)surface->w / w;	/* Max X */
-	texcoord[3] = (GLfloat)surface->h / h;	/* Max Y */
-
-	image = SDL_CreateRGBSurface(
-			SDL_SWSURFACE,
-			w, h,
-			32,
-#if SDL_BYTEORDER == SDL_LIL_ENDIAN /* OpenGL RGBA masks */
-			0x000000FF, 
-			0x0000FF00, 
-			0x00FF0000, 
-			0xFF000000
-#else
-			0xFF000000,
-			0x00FF0000, 
-			0x0000FF00, 
-			0x000000FF
-#endif
-		       );
-	if ( image == NULL ) {
-		return 0;
-	}
-
-	/* Save the alpha blending attributes */
-	saved_flags = surface->flags&(SDL_SRCALPHA|SDL_RLEACCELOK);
-	saved_alpha = surface->format->alpha;
-	if ( (saved_flags & SDL_SRCALPHA) == SDL_SRCALPHA ) {
-		SDL_SetAlpha(surface, 0, 0);
-	}
-
-	/* Copy the surface into the GL texture image */
-	area.x = 0;
-	area.y = 0;
-	area.w = surface->w;
-	area.h = surface->h;
-	SDL_BlitSurface(surface, &area, image, &area);
-
-	/* Restore the alpha blending attributes */
-	if ( (saved_flags & SDL_SRCALPHA) == SDL_SRCALPHA ) {
-		SDL_SetAlpha(surface, saved_flags, saved_alpha);
-	}
-
-	/* Create an OpenGL texture for the image */
-	glGenTextures(1, &texture);
-	glBindTexture(GL_TEXTURE_2D, texture);
-	glTexParameteri(GL_TEXTURE_2D, GL_TEXTURE_MAG_FILTER, GL_NEAREST);
-	glTexParameteri(GL_TEXTURE_2D, GL_TEXTURE_MIN_FILTER, GL_NEAREST);
-	glTexImage2D(GL_TEXTURE_2D,
-		     0,
-		     GL_RGBA,
-		     w, h,
-		     0,
-		     GL_RGBA,
-		     GL_UNSIGNED_BYTE,
-		     image->pixels);
-	SDL_FreeSurface(image); /* No longer needed */
-
-	return texture;
-}
-
-int setup(int argc, char *argv[])
-{
-	char *argv0 = argv[0];
-	SDL_Surface *screen;
-	TTF_Font *font;
-	SDL_Surface *text;
-	int ptsize;
-	int i, done;
-	SDL_Color white = { 0xFF, 0xFF, 0xFF, 0 };
-	SDL_Color black = { 0x00, 0x00, 0x00, 0 };
-	SDL_Color *forecol;
-	SDL_Color *backcol;
-	GLenum gl_error;
-	GLuint texture;
-	int x, y, w, h;
-	GLfloat texcoord[4];
-	GLfloat texMinX, texMinY;
-	GLfloat texMaxX, texMaxY;
-
-	int renderstyle;
-	int dump;
-	enum {
-		RENDER_LATIN1,
-		RENDER_UTF8,
-		RENDER_UNICODE
-	} rendertype;
-	char *message;
-
-	/* Look for special execution mode */
-	dump = 0;
-	/* Look for special rendering types */
-	renderstyle = TTF_STYLE_NORMAL;
-	rendertype = RENDER_LATIN1;
-	/* Default is black and white */
-	forecol = &black;
-	backcol = &white;
-	for ( i=1; argv[i] && argv[i][0] == '-'; ++i ) {
-		if ( strcmp(argv[i], "-utf8") == 0 ) {
-			rendertype = RENDER_UTF8;
-		} else
-		if ( strcmp(argv[i], "-unicode") == 0 ) {
-			rendertype = RENDER_UNICODE;
-		} else
-		if ( strcmp(argv[i], "-b") == 0 ) {
-			renderstyle |= TTF_STYLE_BOLD;
-		} else
-		if ( strcmp(argv[i], "-i") == 0 ) {
-			renderstyle |= TTF_STYLE_ITALIC;
-		} else
-		if ( strcmp(argv[i], "-u") == 0 ) {
-			renderstyle |= TTF_STYLE_UNDERLINE;
-		} else
-		if ( strcmp(argv[i], "-dump") == 0 ) {
-			dump = 1;
-		} else
-		if ( strcmp(argv[i], "-fgcol") == 0 ) {
-			int r, g, b;
-			if ( sscanf (argv[++i], "%d,%d,%d", &r, &g, &b) != 3 ) {
-				fprintf(stderr, Usage, argv0);
-				return(1);
-			}
-			forecol->r = (Uint8)r;
-			forecol->g = (Uint8)g;
-			forecol->b = (Uint8)b;
-		} else
-		if ( strcmp(argv[i], "-bgcol") == 0 ) {
-			int r, g, b;
-			if ( sscanf (argv[++i], "%d,%d,%d", &r, &g, &b) != 3 ) {
-				fprintf(stderr, Usage, argv0);
-				return(1);
-			}
-			backcol->r = (Uint8)r;
-			backcol->g = (Uint8)g;
-			backcol->b = (Uint8)b;
-		} else {
-			fprintf(stderr, Usage, argv0);
-			return(1);
-		}
-	}
-	argv += i;
-	argc -= i;
-
-	/* Check usage */
-	if ( ! argv[0] ) {
-		fprintf(stderr, Usage, argv0);
-		return(1);
-	}
-
-	/* Initialize SDL */
-	if ( SDL_Init(SDL_INIT_VIDEO) < 0 ) {
-		fprintf(stderr, "Couldn't initialize SDL: %s\n",SDL_GetError());
-		return(2);
-	}
-	atexit(SDL_Quit);
-
-	/* Initialize the TTF library */
-	if ( TTF_Init() < 0 ) {
-		fprintf(stderr, "Couldn't initialize TTF: %s\n",SDL_GetError());
-		return(2);
-	}
-	atexit(TTF_Quit);
-
-	/* Open the font file with the requested point size */
-	ptsize = 0;
-	if ( argc > 1 ) {
-		ptsize = atoi(argv[1]);
-	}
-	if ( ptsize == 0 ) {
-		i = 2;
-		ptsize = DEFAULT_PTSIZE;
-	} else {
-		i = 3;
-	}
-	font = TTF_OpenFont(argv[0], ptsize);
-	if ( font == NULL ) {
-		fprintf(stderr, "Couldn't load %d pt font from %s: %s\n",
-					ptsize, argv[0], SDL_GetError());
-		return(2);
-	}
-	TTF_SetFontStyle(font, renderstyle);
-
-	if( dump ) {
-
-		for( i = 48; i < 123; i++ ) {
-			SDL_Surface* glyph = NULL;
-
-			glyph = TTF_RenderGlyph_Shaded( font, i, *forecol, *backcol );
-
-			if( glyph ) {
-				char outname[64];
-				sprintf( outname, "glyph-%d.bmp", i );
-				SDL_SaveBMP( glyph, outname );
-			}
-
-		}
-
-		return( 0 );
-	}
-
-	/* Set a 640x480 video mode */
-	screen = SDL_SetVideoMode(640, 480, 0, SDL_OPENGL);
-	if ( screen == NULL ) {
-		fprintf(stderr, "Couldn't set 640x480 OpenGL mode: %s\n",
-							SDL_GetError());
-		return(2);
-	}
-
-	/* Render and center the message */
-	if ( argc > 2 ) {
-		message = argv[2];
-	} else {
-		message = DEFAULT_TEXT;
-	}
-	switch (rendertype) {
-	    case RENDER_LATIN1:
-		text = TTF_RenderText_Blended(font, message, *forecol);
-		break;
-
-	    case RENDER_UTF8:
-		text = TTF_RenderUTF8_Blended(font, message, *forecol);
-		break;
-
-	    case RENDER_UNICODE:
-		{
-			/* This doesn't actually work because you can't pass
-			   UNICODE text in via command line, AFAIK, but...
-			 */
-			Uint16 unicode_text[BUFSIZ];
-			int index;
-			for ( index = 0; (message[0] || message[1]); ++index ) {
-				unicode_text[index]  = ((Uint8 *)message)[0];
-				unicode_text[index] <<= 8;
-				unicode_text[index] |= ((Uint8 *)message)[1];
-				message += 2;
-			}
-			text = TTF_RenderUNICODE_Blended(font,
-					unicode_text, *forecol);
-		}
-		break;
-	    default:
-		text = NULL; /* This shouldn't happen */
-		break;
-	}
-	if ( text == NULL ) {
-		fprintf(stderr, "Couldn't render text: %s\n", SDL_GetError());
-		TTF_CloseFont(font);
-		return(2);
-	}
-	x = (screen->w - text->w)/2;
-	y = (screen->h - text->h)/2;
-	w = text->w;
-	h = text->h;
-	printf("Font is generally %d big, and string is %hd big\n",
-						TTF_FontHeight(font), text->h);
-
-	/* Convert the text into an OpenGL texture */
-	glGetError();
-	texture = SDL_GL_LoadTexture(text, texcoord);
-	if ( (gl_error = glGetError()) != GL_NO_ERROR ) {
-		/* If this failed, the text may exceed texture size limits */
-		printf("Warning: Couldn't create texture: 0x%x\n", gl_error);
-	}
-
-	/* Make texture coordinates easy to understand */
-	texMinX = texcoord[0];
-	texMinY = texcoord[1];
-	texMaxX = texcoord[2];
-	texMaxY = texcoord[3];
-
-	/* We don't need the original text surface anymore */
-	SDL_FreeSurface(text);
-
-	/* Initialize the GL state */
-	glViewport( 0, 0, screen->w, screen->h );
-	glMatrixMode( GL_PROJECTION );
-	glLoadIdentity( );
-
-	glOrtho( -2.0, 2.0, -2.0, 2.0, -20.0, 20.0 );
-
-	glMatrixMode( GL_MODELVIEW );
-	glLoadIdentity( );
-
-	glEnable(GL_DEPTH_TEST);
-
-	glDepthFunc(GL_LESS);
-
-	glShadeModel(GL_SMOOTH);
-
-	/* Wait for a keystroke, and blit text on mouse press */
-	done = 0;
-	while ( ! done ) {
-
-	  /* Show the text on the screen */
-	  SDL_GL_Enter2DMode();
-	  glBindTexture(GL_TEXTURE_2D, texture);
-	  glBegin(GL_QUADS);
-	  glTexCoord2f(texMinX, texMinY); glVertex2i(x,   y  );
-	  glTexCoord2f(texMaxX, texMinY); glVertex2i(x+w, y  );
-	  glTexCoord2f(texMinX, texMaxY); glVertex2i(x,   y+h);
-	  glTexCoord2f(texMaxX, texMaxY); glVertex2i(x+w, y+h);
-	  glEnd();
-	  SDL_GL_Leave2DMode();
-	  
-	  /* Swap the buffers so everything is visible */
-	  SDL_GL_SwapBuffers( );
-	}
-	TTF_CloseFont(font);
-	return(0);
-}
-
Index: /orxonox/trunk/src/sfont/glfont.cc
===================================================================
--- /orxonox/trunk/src/sfont/glfont.cc	(revision 3458)
+++ /orxonox/trunk/src/sfont/glfont.cc	(revision 3458)
@@ -0,0 +1,545 @@
+/* 
+   orxonox - the future of 3D-vertical-scrollers
+
+   Copyright (C) 2004 orx
+
+   This program is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; either version 2, or (at your option)
+   any later version.
+
+   ### File Specific:
+   main-programmer: Benjamin Grauer
+   co-programmer: ...
+
+   ***
+   * This file is extended to the needs of the orxonox-project.         *
+   * the Copyright of the original file is below this copyright         *
+   *                                                                  ***
+
+*/
+
+/*
+    glfont:  An example of using the SDL_ttf library with OpenGL.
+    Copyright (C) 1997-2004 Sam Lantinga
+
+    This library is free software; you can redistribute it and/or
+    modify it under the terms of the GNU Library General Public
+    License as published by the Free Software Foundation; either
+    version 2 of the License, or (at your option) any later version.
+
+    This library is distributed in the hope that it will be useful,
+    but WITHOUT ANY WARRANTY; without even the implied warranty of
+    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+    Library General Public License for more details.
+
+    You should have received a copy of the GNU Library General Public
+    License along with this library; if not, write to the Free
+    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+
+    The SDL_GL_* functions in this file are available in the public domain.
+
+    Sam Lantinga
+    slouken@libsdl.org
+*/
+
+#include "glfont.h"
+
+
+
+#include <stdlib.h>
+#include <stdio.h>
+#include <string.h>
+
+#include <SDL/SDL.h>
+#include <SDL/SDL_ttf.h>
+
+#include "../glincl.h"
+#include "../debug.h"
+
+
+#define DEFAULT_PTSIZE	18
+#define DEFAULT_TEXT	"orxonox 1234567890"
+#define NUM_COLORS      256
+
+
+
+GLFont::GLFont()
+{
+  this->init("");
+
+}
+GLFont::GLFont(const char* fontFile)
+{
+  this->init(fontFile);
+}
+GLFont::~GLFont()
+{
+  
+}
+
+bool GLFont::init(const char* fontFile)
+{
+  // setting default values.
+  renderStyle = TTF_STYLE_NORMAL;
+
+
+  // Initializing lib-TTF if necesary.
+  if (TTF_WasInit() && TTF_Init() < 0 ) 
+    {
+      PRINTF(1)("Couldn't initialize TTF: %s\n", SDL_GetError());
+      return false;
+    }
+}
+
+bool GLFont::ttfInitialized = false;
+
+bool GLFont::setFont(const char* fonFile)
+{
+
+}
+void GLFont::setText(const char* text)
+{
+
+}
+
+void GLFont::setStyle(char* style)
+{
+  renderStyle = TTF_STYLE_NORMAL;
+  
+  for (int i = 0; i < strlen(style); i++)
+    if (strncmp(style+i, "b", 1) == 0) 
+      this->renderStyle |= TTF_STYLE_BOLD;
+    else if (strncmp(style+i, "i", 1) == 0)
+      this->renderStyle |= TTF_STYLE_ITALIC;
+    else if (strncmp(style+i, "u", 1) == 0) 
+      this->renderStyle |= TTF_STYLE_UNDERLINE;
+
+  // TTF_SetFontStyle(font, renderstyle);
+
+}
+void GLFont::setSize(void)
+{
+
+}
+void GLFont::setPosition(int x, int y)
+{
+
+}
+
+void GLFont::renderText(void)
+{
+
+}
+void GLFont::renderText(const char* text, int x, int y)
+{
+  // enter the 2D-Mode
+
+  SDL_Surface *screen = SDL_GetVideoSurface();
+  
+  /* Note, there may be other things you need to change,
+     depending on how you have your OpenGL state set up.
+  */
+  glPushAttrib(GL_ENABLE_BIT);
+  glDisable(GL_DEPTH_TEST);
+  glDisable(GL_CULL_FACE);
+  glEnable(GL_TEXTURE_2D);
+  
+  /* This allows alpha blending of 2D textures with the scene */
+  glEnable(GL_BLEND);
+  glBlendFunc(GL_SRC_ALPHA, GL_ONE_MINUS_SRC_ALPHA);
+  
+  glViewport(0, 0, screen->w, screen->h);
+  
+  glMatrixMode(GL_PROJECTION);
+  glPushMatrix();
+  glLoadIdentity();
+  
+  glOrtho(0.0, (GLdouble)screen->w, (GLdouble)screen->h, 0.0, 0.0, 1.0);
+  
+  glMatrixMode(GL_MODELVIEW);
+  glPushMatrix();
+  glLoadIdentity();
+  
+  glTexEnvf(GL_TEXTURE_ENV, GL_TEXTURE_ENV_MODE, GL_MODULATE);
+
+
+
+
+
+  // Leave the 2D-Mode
+  glMatrixMode(GL_MODELVIEW);
+  glPopMatrix();
+  
+  glMatrixMode(GL_PROJECTION);
+  glPopMatrix();
+  
+  glPopAttrib();
+}
+
+
+bool GLFont::loadTexture()
+{
+  int w, h;
+  SDL_Surface *image;
+  SDL_Rect area;
+  Uint32 saved_flags;
+  Uint8  saved_alpha;
+  
+  /* Use the surface width and height expanded to powers of 2 */
+  w = powerOfTwo(surface->w);
+  h = powerOfTwo(surface->h);
+  texcoord[0] = 0.0f;			/* Min X */
+  texcoord[1] = 0.0f;			/* Min Y */
+  texcoord[2] = (GLfloat)surface->w / w;	/* Max X */
+  texcoord[3] = (GLfloat)surface->h / h;	/* Max Y */
+  
+  image = SDL_CreateRGBSurface(
+			       SDL_SWSURFACE,
+			       w, h,
+			       32,
+#if SDL_BYTEORDER == SDL_LIL_ENDIAN /* OpenGL RGBA masks */
+			       0x000000FF, 
+			       0x0000FF00, 
+			       0x00FF0000, 
+			       0xFF000000
+#else
+			       0xFF000000,
+			       0x00FF0000, 
+			       0x0000FF00, 
+			       0x000000FF
+#endif
+			       );
+  if ( image == NULL ) {
+    return 0;
+  }
+  
+  /* Save the alpha blending attributes */
+  saved_flags = surface->flags&(SDL_SRCALPHA|SDL_RLEACCELOK);
+  saved_alpha = surface->format->alpha;
+  if ( (saved_flags & SDL_SRCALPHA) == SDL_SRCALPHA ) {
+    SDL_SetAlpha(surface, 0, 0);
+  }
+  
+  /* Copy the surface into the GL texture image */
+  area.x = 0;
+  area.y = 0;
+  area.w = surface->w;
+  area.h = surface->h;
+  SDL_BlitSurface(surface, &area, image, &area);
+  
+  /* Restore the alpha blending attributes */
+  if ( (saved_flags & SDL_SRCALPHA) == SDL_SRCALPHA ) {
+    SDL_SetAlpha(surface, saved_flags, saved_alpha);
+  }
+  
+  /* Create an OpenGL texture for the image */
+  glGenTextures(1, &texture);
+  glBindTexture(GL_TEXTURE_2D, texture);
+  glTexParameteri(GL_TEXTURE_2D, GL_TEXTURE_MAG_FILTER, GL_NEAREST);
+  glTexParameteri(GL_TEXTURE_2D, GL_TEXTURE_MIN_FILTER, GL_NEAREST);
+  glTexImage2D(GL_TEXTURE_2D,
+	       0,
+	       GL_RGBA,
+	       w, h,
+	       0,
+	       GL_RGBA,
+	       GL_UNSIGNED_BYTE,
+	       image->pixels);
+  SDL_FreeSurface(image); /* No longer needed */
+  
+  //  return texture;
+}
+
+/* Quick utility function for texture creation */
+int GLFont::powerOfTwo(int input)
+{
+  int value = 1;
+  
+  while ( value < input ) {
+    value <<= 1;
+  }
+  return value;
+}
+
+
+/*
+private:
+char* fontFile;
+char* text;
+int positionX;
+int positionY;
+*/
+
+
+
+
+char Usage[100] = "orxonox test" ;
+void SDL_GL_Enter2DMode()
+{
+}
+
+void SDL_GL_Leave2DMode()
+{
+}
+
+/* Quick utility function for texture creation */
+static int power_of_two(int input)
+{
+}
+
+
+
+GLuint SDL_GL_LoadTexture(SDL_Surface *surface, GLfloat *texcoord)
+{
+
+}
+
+int setup(int argc, char *argv[])
+{
+	char *argv0 = argv[0];
+	SDL_Surface *screen;
+	TTF_Font *font;
+	SDL_Surface *text;
+	int ptsize;
+	int i, done;
+	SDL_Color white = { 0xFF, 0xFF, 0xFF, 0 };
+	SDL_Color black = { 0x00, 0x00, 0x00, 0 };
+	SDL_Color *forecol;
+	SDL_Color *backcol;
+	GLenum gl_error;
+	GLuint texture;
+	int x, y, w, h;
+	GLfloat texcoord[4];
+	GLfloat texMinX, texMinY;
+	GLfloat texMaxX, texMaxY;
+
+	int renderstyle;
+	int dump;
+	enum {
+		RENDER_LATIN1,
+		RENDER_UTF8,
+		RENDER_UNICODE
+	} rendertype;
+	char *message;
+
+	/* Look for special execution mode */
+	dump = 0;
+	/* Look for special rendering types */
+	rendertype = RENDER_LATIN1;
+	/* Default is black and white */
+	forecol = &black;
+	backcol = &white;
+	for ( i=1; argv[i] && argv[i][0] == '-'; ++i ) {
+		if ( strcmp(argv[i], "-utf8") == 0 ) {
+			rendertype = RENDER_UTF8;
+		} else
+		if ( strcmp(argv[i], "-unicode") == 0 ) {
+			rendertype = RENDER_UNICODE;
+		} else
+		if ( strcmp(argv[i], "-b") == 0 ) {
+			renderstyle |= TTF_STYLE_BOLD;
+		} else
+		if ( strcmp(argv[i], "-i") == 0 ) {
+			renderstyle |= TTF_STYLE_ITALIC;
+		} else
+		if ( strcmp(argv[i], "-u") == 0 ) {
+			renderstyle |= TTF_STYLE_UNDERLINE;
+		} else
+		if ( strcmp(argv[i], "-dump") == 0 ) {
+			dump = 1;
+		} else
+		if ( strcmp(argv[i], "-fgcol") == 0 ) {
+			int r, g, b;
+			if ( sscanf (argv[++i], "%d,%d,%d", &r, &g, &b) != 3 ) {
+				fprintf(stderr, Usage, argv0);
+				return(1);
+			}
+			forecol->r = (Uint8)r;
+			forecol->g = (Uint8)g;
+			forecol->b = (Uint8)b;
+		} else
+		if ( strcmp(argv[i], "-bgcol") == 0 ) {
+			int r, g, b;
+			if ( sscanf (argv[++i], "%d,%d,%d", &r, &g, &b) != 3 ) {
+				fprintf(stderr, Usage, argv0);
+				return(1);
+			}
+			backcol->r = (Uint8)r;
+			backcol->g = (Uint8)g;
+			backcol->b = (Uint8)b;
+		} else {
+			fprintf(stderr, Usage, argv0);
+			return(1);
+		}
+	}
+	argv += i;
+	argc -= i;
+
+	/* Check usage */
+	if ( ! argv[0] ) {
+		fprintf(stderr, Usage, argv0);
+		return(1);
+	}
+
+	/* Initialize SDL */
+	if ( SDL_Init(SDL_INIT_VIDEO) < 0 ) {
+		fprintf(stderr, "Couldn't initialize SDL: %s\n",SDL_GetError());
+		return(2);
+	}
+	atexit(SDL_Quit);
+
+	/* Initialize the TTF library */
+	if ( TTF_Init() < 0 ) {
+		fprintf(stderr, "Couldn't initialize TTF: %s\n",SDL_GetError());
+		return(2);
+	}
+	atexit(TTF_Quit);
+
+	/* Open the font file with the requested point size */
+	ptsize = 0;
+	if ( argc > 1 ) {
+		ptsize = atoi(argv[1]);
+	}
+	if ( ptsize == 0 ) {
+		i = 2;
+		ptsize = DEFAULT_PTSIZE;
+	} else {
+		i = 3;
+	}
+	font = TTF_OpenFont(argv[0], ptsize);
+	if ( font == NULL ) {
+		fprintf(stderr, "Couldn't load %d pt font from %s: %s\n",
+					ptsize, argv[0], SDL_GetError());
+		return(2);
+	}
+
+	if( dump ) {
+
+		for( i = 48; i < 123; i++ ) {
+			SDL_Surface* glyph = NULL;
+
+			glyph = TTF_RenderGlyph_Shaded( font, i, *forecol, *backcol );
+
+			if( glyph ) {
+				char outname[64];
+				sprintf( outname, "glyph-%d.bmp", i );
+				SDL_SaveBMP( glyph, outname );
+			}
+
+		}
+
+		return( 0 );
+	}
+
+	/* Set a 640x480 video mode */
+	screen = SDL_SetVideoMode(640, 480, 0, SDL_OPENGL);
+	if ( screen == NULL ) {
+		fprintf(stderr, "Couldn't set 640x480 OpenGL mode: %s\n",
+							SDL_GetError());
+		return(2);
+	}
+
+	/* Render and center the message */
+	if ( argc > 2 ) {
+		message = argv[2];
+	} else {
+		message = DEFAULT_TEXT;
+	}
+	switch (rendertype) {
+	    case RENDER_LATIN1:
+		text = TTF_RenderText_Blended(font, message, *forecol);
+		break;
+
+	    case RENDER_UTF8:
+		text = TTF_RenderUTF8_Blended(font, message, *forecol);
+		break;
+
+	    case RENDER_UNICODE:
+		{
+			/* This doesn't actually work because you can't pass
+			   UNICODE text in via command line, AFAIK, but...
+			 */
+			Uint16 unicode_text[BUFSIZ];
+			int index;
+			for ( index = 0; (message[0] || message[1]); ++index ) {
+				unicode_text[index]  = ((Uint8 *)message)[0];
+				unicode_text[index] <<= 8;
+				unicode_text[index] |= ((Uint8 *)message)[1];
+				message += 2;
+			}
+			text = TTF_RenderUNICODE_Blended(font,
+					unicode_text, *forecol);
+		}
+		break;
+	    default:
+		text = NULL; /* This shouldn't happen */
+		break;
+	}
+	if ( text == NULL ) {
+		fprintf(stderr, "Couldn't render text: %s\n", SDL_GetError());
+		TTF_CloseFont(font);
+		return(2);
+	}
+	x = (screen->w - text->w)/2;
+	y = (screen->h - text->h)/2;
+	w = text->w;
+	h = text->h;
+	printf("Font is generally %d big, and string is %hd big\n",
+						TTF_FontHeight(font), text->h);
+
+	/* Convert the text into an OpenGL texture */
+	glGetError();
+	texture = SDL_GL_LoadTexture(text, texcoord);
+	if ( (gl_error = glGetError()) != GL_NO_ERROR ) {
+		/* If this failed, the text may exceed texture size limits */
+		printf("Warning: Couldn't create texture: 0x%x\n", gl_error);
+	}
+
+	/* Make texture coordinates easy to understand */
+	texMinX = texcoord[0];
+	texMinY = texcoord[1];
+	texMaxX = texcoord[2];
+	texMaxY = texcoord[3];
+
+	/* We don't need the original text surface anymore */
+	SDL_FreeSurface(text);
+
+	/* Initialize the GL state */
+	glViewport( 0, 0, screen->w, screen->h );
+	glMatrixMode( GL_PROJECTION );
+	glLoadIdentity( );
+
+	glOrtho( -2.0, 2.0, -2.0, 2.0, -20.0, 20.0 );
+
+	glMatrixMode( GL_MODELVIEW );
+	glLoadIdentity( );
+
+	glEnable(GL_DEPTH_TEST);
+
+	glDepthFunc(GL_LESS);
+
+	glShadeModel(GL_SMOOTH);
+
+	/* Wait for a keystroke, and blit text on mouse press */
+	done = 0;
+	while ( ! done ) {
+
+	  /* Show the text on the screen */
+	  SDL_GL_Enter2DMode();
+	  glBindTexture(GL_TEXTURE_2D, texture);
+	  glBegin(GL_QUADS);
+	  glTexCoord2f(texMinX, texMinY); glVertex2i(x,   y  );
+	  glTexCoord2f(texMaxX, texMinY); glVertex2i(x+w, y  );
+	  glTexCoord2f(texMinX, texMaxY); glVertex2i(x,   y+h);
+	  glTexCoord2f(texMaxX, texMaxY); glVertex2i(x+w, y+h);
+	  glEnd();
+	  SDL_GL_Leave2DMode();
+	  
+	  /* Swap the buffers so everything is visible */
+	  SDL_GL_SwapBuffers( );
+	}
+	TTF_CloseFont(font);
+	return(0);
+}
+
Index: /orxonox/trunk/src/sfont/glfont.h
===================================================================
--- /orxonox/trunk/src/sfont/glfont.h	(revision 3458)
+++ /orxonox/trunk/src/sfont/glfont.h	(revision 3458)
@@ -0,0 +1,48 @@
+/*! 
+    \file glfont.h
+    \brief Handles the display of glFonts.
+*/
+
+#ifndef _GLFONT_H
+#define _GLFONT_H
+
+#include "../glincl.h"
+
+class GLFont
+{
+ public:
+  GLFont();
+  GLFont(const char* fontFile);
+  ~GLFont();
+  
+
+
+  bool setFont(const char* fontFile);
+  void setText(const char* text);
+
+  void setStyle(char* style);
+  void setSize(void);
+  void setPosition(int x, int y);
+  
+  void renderText(void);
+  void renderText(const char* text, int x, int y);
+
+ private:
+  char* fontFile;
+  char* text;
+  GLuint texture;
+  int positionX;
+  int positionY;
+  int renderStyle;
+  SDL_Surface* surface;
+  GLfloat* texcoord;
+
+  bool init(const char* fontFile);
+  bool loadTexture();
+  static int powerOfTwo(int input);
+
+  static bool ttfInitialized;
+
+};
+
+#endif /* _GLFONT_H */
Index: /orxonox/trunk/src/world.cc
===================================================================
--- /orxonox/trunk/src/world.cc	(revision 3457)
+++ /orxonox/trunk/src/world.cc	(revision 3458)
@@ -584,5 +584,5 @@
   light->setAttenuation(CONSTANT, 2.0);
   light->setAttenuation(QUADRATIC, 1.0);
-  light->setPosition(10.0, 1.0, 0.0);
+  light->setPosition(10.0, 10.0, 50.0);
   light->setDiffuseColor(1,1,1);
   //  light->addLight(1);
